libstdc++: std::type_index Struct Reference

libstdc++

std::type_index Struct Reference
Utilities

`#include <typeindex>`

## Public Member Functions
| type_index (const type_info &__rhs) noexcept
size_t | hash_code () const noexcept
const char * | name () const noexcept
bool | operator!= (const type_index &__rhs) const noexcept
bool | operator< (const type_index &__rhs) const noexcept
bool | operator<= (const type_index &__rhs) const noexcept
bool | operator== (const type_index &__rhs) const noexcept
bool | operator> (const type_index &__rhs) const noexcept
bool | operator>= (const type_index &__rhs) const noexcept

## Detailed Description

Class type_index.

The class type_index provides a simple wrapper for type_info which can be used as an index type in associative containers (23.6) and in unordered associative containers (23.7).

Definition at line 57 of file typeindex.

## Constructor & Destructor Documentation

## ◆ type_index()

std::type_index::type_index | ( | const type_info & | __rhs | ) |
| inlinenoexcept

Definition at line 59 of file typeindex.

## Member Function Documentation

## ◆ hash_code()

size_t std::type_index::hash_code | ( |  | ) | const
| inlinenoexcept

Definition at line 101 of file typeindex.

## ◆ name()

const char * std::type_index::name | ( |  | ) | const
| inlinenoexcept

Definition at line 105 of file typeindex.

## ◆ operator!=()

bool std::type_index::operator!= | ( | const type_index & | __rhs | ) | const
| inlinenoexcept

Definition at line 68 of file typeindex.

## ◆ operator<()

bool std::type_index::operator< | ( | const type_index & | __rhs | ) | const
| inlinenoexcept

Definition at line 72 of file typeindex.

## ◆ operator<=()

bool std::type_index::operator<= | ( | const type_index & | __rhs | ) | const
| inlinenoexcept

Definition at line 76 of file typeindex.

## ◆ operator==()

bool std::type_index::operator== | ( | const type_index & | __rhs | ) | const
| inlinenoexcept

Definition at line 63 of file typeindex.

## ◆ operator>()

bool std::type_index::operator> | ( | const type_index & | __rhs | ) | const
| inlinenoexcept

Definition at line 81 of file typeindex.

## ◆ operator>=()

bool std::type_index::operator>= | ( | const type_index & | __rhs | ) | const
| inlinenoexcept

Definition at line 85 of file typeindex.

The documentation for this struct was generated from the following file:

- typeindex